Subject: [Tigers] Fwd: Tribute car #55

From: Mark J Bradakis <[email-masked]>
Date: Mon, 15 Sep 2014 23:45:59 -0600

I think this was meant for the list, not just me.

mjb.

-------- Forwarded Message --------
Subject: 	Tribute car #55
Date: 	Mon, 15 Sep 2014 19:14:24 -0700
From: 	snakebit289 <[email-masked]>

IIRC, Julian Balme in the UK has or had a tribute #55 that he raced there, and that he configured himself. I don't know how accurate a representation it is, but I remember it was not just a garage queen like, for instance, my Tiger.

Rande
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]